List for driver bidder

Lists DRIVERS-audience listings where the caller (resolved to a Driver of their org) is a snapshot participant. Driver-side bidder view with filtering, sorting, and pagination. Returns the bidder shape with tasks and mileage (no internal_notes). | authz: allowed_org_types=[provider], min_org_role=driver | () -> (ListingForBidderListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by.
Allowed values:
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_statusenumOptional

Filter by listing status(es). Multi-select.

Allowed values:
filter_typeenumOptional

Filter by listing type(s). Multi-select.

Allowed values:
filter_task_group_idstringOptional
Filter to listings for this task group.
filter_order_idstringOptional
Filter to listings on this order.
filter_created_by_org_idstringOptional

Filter to listings created by this provider org (lister). Mostly useful on bidder views to slice by lister.

filter_created_by_user_idstringOptional

Filter to listings created by this operator (audit).

filter_created_at_timestamp_gtedatetimeOptional

Filter created_at_timestamp >= value (inclusive).

filter_created_at_timestamp_ltedatetimeOptional

Filter created_at_timestamp <= value (inclusive).

filter_last_edited_at_timestamp_gtedatetimeOptional

Filter last_edited_at_timestamp >= value (inclusive).

filter_last_edited_at_timestamp_ltedatetimeOptional

Filter last_edited_at_timestamp <= value (inclusive).

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Listings List for Driver Bidder V1request Unprocessable Entity Error